## octavia 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
cotyledon>=1.3.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
futurist>=1.2.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
WebOb>=1.7.1 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
PyMySQL>=0.7.6 # MIT License
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
pyOpenSSL>=17.1.0 # Apache-2.0
WSME>=0.8.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
taskflow>=2.16.0 # Apache-2.0
diskimage-builder!=1.6.0,!=1.7.0,!=1.7.1,>=1.1.2 # Apache-2.0
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
castellan>=0.16.0 # Apache-2.0
tenacity>=4.9.0  # Apache-2.0
distro>=1.2.0 # Apache-2.0

#for the amphora api
Flask!=0.11,>=0.10 # BSD
netifaces>=0.10.4 # MIT
ipaddress>=1.0.17;python_version<'3.3' # PSF
cryptography>=2.1 # BSD/Apache-2.0
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
gunicorn>=19.0.0 # MIT

=== diskimage-create/requirements.txt ===
Babel>=1.3
diskimage-builder
PyYAML
six>=1.9.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Docs
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-nwdiag>=0.9.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
graphviz!=0.5.0,>=0.4 # MIT License
openstackdocstheme>=1.18.1 # Apache-2.0
sadisplay>=0.4.8 # BSD
reno>=2.5.0 # Apache-2.0

# This needs to be installed after above modules
pydotplus>=2.0.2 # MIT License
pyparsing>=2.1.0 # MIT
networkx>=1.10 # BSD

=== debian/changelog ===
octavia (3.0.0-3) unstable; urgency=medium

  * Add an octavia-agent package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Jan 2019 17:28:54 +0100

octavia (3.0.0-2) unstable; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Dec 2018 16:30:31 +0100

octavia (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove /etc/octavia/octavia.conf on purge (Closes: #905499).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:09:46 +0200

octavia (3.0.0~rc3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed applied upstream patches:
    - fix-add-local-net-to-routing-table-1.patch
    - fix-lb-status-updates.patch

  [ Michal Arbet ]
  * Add fix-py36-compatibility.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 14:09:08 +0200

octavia (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #901440).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 13 Jun 2018 13:21:52 +0100

=== debian/control ===
Source: octavia
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 81~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-babel,
 python3-bandit,
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage,
 python3-cryptography (>= 2.1),
 python3-diskimage-builder (>= 1.1.2),
 python3-distro (>= 1.3.0),
 python3-flask,
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-graphviz,
 python3-gunicorn,
 python3-hacking,
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock,
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-pecan,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pydot,
 python3-pydotplus (>= 2.0.2),
 python3-pymysql,
 python3-pyroute2 (>= 0.4.21),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-rfc3986,
 python3-sadisplay,
 python3-six,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.nwdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-taskflow (>= 2.16.0),
 python3-tempest (>= 17.1.0),
 python3-tenacity (>= 4.9.0),
 python3-testrepository,
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 python3-wsme,
 python-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia
Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia.git
Homepage: https://github.com/openstack/octavia

Package: octavia-agent
Architecture: all
Depends:
 adduser,
 cryptsetup,
 haproxy,
 haveged,
 ipvsadm,
 keepalived,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the Octavia Agent that needs to be installed in the
 Amphorae base image.

Package: octavia-api
Architecture: all
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - API frontend
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides the API frontend.

Package: octavia-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-octavia (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Common files
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains elements that are needed by all parts of Octavia.

Package: octavia-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Load Balancer Service - documentation
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the documentation for Octavia.

Package: octavia-health-manager
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Health manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Health Manager.

Package: octavia-housekeeping
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Housekeeping manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Housekeeping Manager.

Package: octavia-worker
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Worker
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia worker.

Package: python3-octavia
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cotyledon (>= 1.3.0),
 python3-cryptography (>= 2.1),
 python3-diskimage-builder (>= 1.1.2),
 python3-distro (>= 1.3.0),
 python3-flask,
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gunicorn,
 python3-jinja2 (>= 2.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-netifaces,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pecan,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pymysql,
 python3-pyroute2 (>= 0.4.21),
 python3-requests (>= 2.14.2),
 python3-rfc3986,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-tenacity (>= 4.9.0),
 python3-webob (>= 1.7.1),
 python3-wsme,
 python-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Python libraries
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	rm -f AUTHORS
	rm -f ChangeLog
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf octavia.sqlite
	rm -rf octavia.egg-info
	rm -rf .eggs
	rm -rf doc/source/contributor/devref/flow_diagrams
	rm -rf doc/source/contributor/modules
	rm -f doc/source/configuration/_static/octavia.policy.yaml.sample
	rm -f doc/source/contributor/devref/erd.svg
	rm -f debian/octavia-api.postinst debian/octavia-api.config debian/octavia-common.postinst debian/octavia-common.config

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm octavia-common.postrm
	pkgos-merge-templates octavia-api octavia endpoint
	pkgos-merge-templates octavia-common octavia db rabbit ksat

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'octavia\.tests\.unit.*'
endif

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	# Generate the octavia.conf config using installed python-octavia files.
	mkdir -p $(CURDIR)/debian/octavia-common/usr/share/octavia-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf \
		--wrap-width 140 \
		--namespace octavia \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token

	# Same with policy.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/policy.json \
		--format json \
		--namespace octavia

	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf keystone_notifications enable True

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	find debian/tmp/  -type d -name __pycache__ -exec rm -r {} \+

	dh_install

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_missing:
	dh_missing --fail-missing

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	dh_installinit --name=octavia-agent
	dh_installinit --name=octavia-agent-certs-ramfs

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/octavia/tags .*/(\d[\d\.]+)\.tar\.gz

## octavia 3.2.1

=== debian/changelog ===
octavia (3.2.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1853320).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/CVE-2019-17134.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:41:04 -0500

octavia (3.0.0-0ubuntu3.1~cloud0) bionic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/rocky branch.

  [ James Page ]
  * SECURITY UPDATE: Enforce two-way authentication between amphora
    agents and the octavia control plane (LP: #1847243):
    - d/p/CVE-2019-17134.patch
    - CVE-2019-17134

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Oct 2019 17:43:28 +0100

octavia (3.0.0-0ubuntu3) cosmic; urgency=medium

  * d/octavia-api.init.in: Drop UWSGI settings as API is not being run under
    uwsgi (LP: #1798891).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 19 Oct 2018 15:12:23 -0400

octavia (3.0.0-0ubuntu2) cosmic; urgency=medium

  * d/control,amphora-agent.init.in: Add binary package for amphora
    service VM usage.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Sep 2018 14:35:42 -0600

octavia (3.0.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links.
  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 16:18:02 -0400

octavia (3.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Use upstream release tarballs.
  * New upstream release candidate for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * d/patches: Drop all patches, all upstream.
  * d/p/py36-compat.patch: Compat patch for unit test failure under
    Python >= 3.6.
  * d/p/disable-sphinxcontrib.apidoc.patch: Disable apidoc extension
    usage when generating docs.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Aug 2018 06:48:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: octavia
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -13,7 +14,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx,
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  python3-babel,
@@ -24,7 +25,7 @@
  python3-coverage,
  python3-cryptography (>= 2.1),
  python3-diskimage-builder (>= 1.1.2),
- python3-distro (>= 1.3.0),
+ python3-distro,
  python3-flask,
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
@@ -45,7 +46,7 @@
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 6.3.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
@@ -65,7 +66,6 @@
  python3-sadisplay,
  python3-six,
  python3-sphinxcontrib.actdiag,
- python3-sphinxcontrib.apidoc,
  python3-sphinxcontrib.blockdiag,
  python3-sphinxcontrib.nwdiag,
  python3-sphinxcontrib.seqdiag,
@@ -81,47 +81,14 @@
  python3-testtools (>= 2.2.0),
  python3-webob (>= 1.7.1),
  python3-wsme,
- python-yaml,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia
-Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
 Homepage: https://github.com/openstack/octavia
 
-Package: octavia-agent
-Architecture: all
-Depends:
- adduser,
- cryptsetup,
- haproxy,
- haveged,
- ipvsadm,
- keepalived,
- octavia-common (= ${binary:Version}),
- python3-openstackclient,
- q-text-as-data,
- ${misc:Depends},
- ${ostack-lsb-base},
- ${python3:Depends},
-Description: OpenStack Load Balancer as a Service - Agent
- Openstack Load Balancer as a Service, codenamed Octavia was borne
- out of the Neutron LBaaS project. Its conception influenced
- the transformation of the Neutron LBaaS project, as Neutron LBaaS
- moved from version 1 to version 2. Starting with the Liberty
- release of OpenStack, Octavia has become the reference implementation
- for Neutron LBaaS version 2.
- .
- Octavia accomplishes its delivery of load balancing services by
- managing a fleet of virtual machines, containers, or bare metal
- servers—collectively known as amphorae— which it spins up on demand.
- This on-demand, horizontal scaling feature differentiates Octavia from
- other load balancing solutions, thereby making Octavia truly
- suited “for the cloud.”.
- .
- This package contains the Octavia Agent that needs to be installed in the
- Amphorae base image.
-
 Package: octavia-api
 Architecture: all
+Section: python
 Depends:
  adduser,
  octavia-common (= ${binary:Version}),
@@ -174,7 +141,6 @@
  This package contains elements that are needed by all parts of Octavia.
 
 Package: octavia-doc
-Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Depends:
@@ -280,7 +246,7 @@
  python3-cotyledon (>= 1.3.0),
  python3-cryptography (>= 2.1),
  python3-diskimage-builder (>= 1.1.2),
- python3-distro (>= 1.3.0),
+ python3-distro,
  python3-flask,
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
@@ -297,11 +263,10 @@
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 6.3.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pecan,
  python3-pyasn1,
@@ -317,7 +282,6 @@
  python3-tenacity (>= 4.9.0),
  python3-webob (>= 1.7.1),
  python3-wsme,
- python-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Load Balancer as a Service - Python libraries
@@ -336,3 +300,27 @@
  suited “for the cloud.”.
  .
  This package contains the Python files and libraries.
+
+Package: amphora-agent
+Architecture: all
+Depends:
+ octavia-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${ostack-lsb-base},
+ ${python3:Depends},
+Description: OpenStack Load Balancer Service - Amphora agent
+ Openstack Load Balancer as a Service, codenamed Octavia was borne
+ out of the Neutron LBaaS project. Its conception influenced
+ the transformation of the Neutron LBaaS project, as Neutron LBaaS
+ moved from version 1 to version 2. Starting with the Liberty
+ release of OpenStack, Octavia has become the reference implementation
+ for Neutron LBaaS version 2.
+ .
+ Octavia accomplishes its delivery of load balancing services by
+ managing a fleet of virtual machines, containers, or bare metal
+ servers—collectively known as amphorae— which it spins up on demand.
+ This on-demand, horizontal scaling feature differentiates Octavia from
+ other load balancing solutions, thereby making Octavia truly
+ suited “for the cloud.”.
+ .
+ This package provides Octavia Amphora Agent.

## octavia 4.0.0

=== debian/changelog ===
octavia (4.0.0-0ubuntu1.2) disco-security; urgency=medium

  * SECURITY UPDATE: Enforce two-way authentication between amphora
    agents and the octavia control plane (LP: #1847243):
    - d/p/CVE-2019-17134.patch
    - CVE-2019-17134

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 17:41:42 +0100

octavia (4.0.0-0ubuntu1.1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Sahid Orentino Ferdjaoui ]
  * d/p/0001-db-add-missing-primary-key-in-spares_pool-table.patch: Cherry-picked
    from upstream to prevent issue when running percona in strict mode
    (LP: #1826875).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 17:18:36 +0200

octavia (4.0.0-0ubuntu1) disco; urgency=medium

  * Upstream release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Apr 2019 11:43:11 +0100

octavia (4.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:05:21 +0000

octavia (4.0.0~b1~git2019031922.ae26cf9e-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/octavia-common.postinst.in: Change /etc/octavia owner to root:octavia.
    Note: pkgos_write_new_conf correctly sets perms of /etc/octavia to 0750.
  * d/octavia-common.postinst.in: Drop tabs in favor of spaces.

  [ James Page ]
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Dropped, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:18:04 +0000

octavia (4.0.0~b1~git2019013112.979144f2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-missing-import-octavia-opts.py.patch: Add missing import to
    enable generation of config files.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Feb 2019 10:54:10 -0500

octavia (4.0.0~b1~git2018111913.c07612ab-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.
  * d/control: Set min openstack-pkg-tools >= 85ubuntu3~.
  * d/p/disable-sphinxcontrib.apidoc.patch: Dropped. No longer needed.
  * d/p/py36-compat.patch: Dropped. Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:27 -0500

=== debian/control ===
--- 
+++ 
@@ -9,83 +9,119 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 81~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-babel,
- python3-bandit,
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
  python3-cotyledon (>= 1.3.0),
- python3-coverage,
+ python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
+ python3-debtcollector,
  python3-diskimage-builder (>= 1.1.2),
- python3-distro,
- python3-flask,
+ python3-distro (>= 1.2.0),
+ python3-doc8 (>= 0.6.0),
+ python3-docutils (>= 0.11),
+ python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-graphviz,
- python3-gunicorn,
- python3-hacking,
+ python3-graphviz (>= 0.4),
+ python3-gunicorn (>= 19.0.0),
+ python3-hacking (>= 0.12.0),
  python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-mock,
- python3-netifaces,
+ python3-mock (>= 2.0.0),
+ python3-netifaces (>= 0.10.4),
+ python3-networkx (>= 1.10),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
+ python3-octavia-lib (>= 1.1.1),
  python3-openssl (>= 17.1.0),
  python3-openstackdocstheme (>= 1.18.1),
+ python3-os-api-ref (>= 1.4.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.3.0),
+ python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 3.2.0),
- python3-pecan,
- python3-pyasn1,
- python3-pyasn1-modules,
- python3-pydot,
+ python3-oslotest (>= 1:3.2.0),
+ python3-pecan (>= 1.0.0),
+ python3-pyasn1 (>= 0.1.8),
+ python3-pyasn1-modules (>= 0.0.6),
+ python3-pydot (>= 1.2.4),
  python3-pydotplus (>= 2.0.2),
- python3-pymysql,
+ python3-pymysql (>= 0.7.6),
+ python3-pyparsing (>= 2.1.0),
  python3-pyroute2 (>= 0.4.21),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
- python3-rfc3986,
- python3-sadisplay,
- python3-six,
- python3-sphinxcontrib.actdiag,
- python3-sphinxcontrib.blockdiag,
- python3-sphinxcontrib.nwdiag,
- python3-sphinxcontrib.seqdiag,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-subunit,
+ python3-rfc3986 (>= 0.3.1),
+ python3-sadisplay (>= 0.4.8),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.actdiag (>= 0.8.5),
+ python3-sphinxcontrib.apidoc (>= 0.2.1),
+ python3-sphinxcontrib.blockdiag (>= 1.5.4),
+ python3-sphinxcontrib.nwdiag (>= 0.9.5),
+ python3-sphinxcontrib.seqdiag (>= 0.8.4),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit (>= 1.0.0),
  python3-taskflow (>= 2.16.0),
- python3-tempest (>= 17.1.0),
+ python3-tempest (>= 1:17.1.0),
  python3-tenacity (>= 4.9.0),
- python3-testrepository,
+ python3-testrepository (>= 0.0.18),
  python3-testresources (>= 2.0.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
- python3-wsme,
+ python3-webob (>= 1:1.7.1),
+ python3-wsme (>= 0.8.0),
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
 Homepage: https://github.com/openstack/octavia
 
+Package: amphora-agent
+Architecture: all
+Depends:
+ octavia-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${ostack-lsb-base},
+ ${python3:Depends},
+Description: OpenStack Load Balancer Service - Amphora agent
+ Openstack Load Balancer as a Service, codenamed Octavia was borne
+ out of the Neutron LBaaS project. Its conception influenced
+ the transformation of the Neutron LBaaS project, as Neutron LBaaS
+ moved from version 1 to version 2. Starting with the Liberty
+ release of OpenStack, Octavia has become the reference implementation
+ for Neutron LBaaS version 2.
+ .
+ Octavia accomplishes its delivery of load balancing services by
+ managing a fleet of virtual machines, containers, or bare metal
+ servers—collectively known as amphorae— which it spins up on demand.
+ This on-demand, horizontal scaling feature differentiates Octavia from
+ other load balancing solutions, thereby making Octavia truly
+ suited “for the cloud.”.
+ .
+ This package provides Octavia Amphora Agent.
+
 Package: octavia-api
 Architecture: all
 Section: python
@@ -240,87 +276,54 @@
 Architecture: all
 Depends:
  alembic (>= 0.8.10),
- python3-babel,
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
  python3-cotyledon (>= 1.3.0),
  python3-cryptography (>= 2.1),
  python3-diskimage-builder (>= 1.1.2),
- python3-distro,
- python3-flask,
+ python3-distro (>= 1.2.0),
+ python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-gunicorn,
+ python3-gunicorn (>= 19.0.0),
  python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-netifaces,
+ python3-netifaces (>= 0.10.4),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
+ python3-octavia-lib (>= 1.1.1),
  python3-openssl (>= 17.1.0),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.3.0),
+ python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.reports (>= 1.18.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
- python3-pecan,
- python3-pyasn1,
- python3-pyasn1-modules,
- python3-pymysql,
+ python3-pecan (>= 1.0.0),
+ python3-pyasn1 (>= 0.1.8),
+ python3-pyasn1-modules (>= 0.0.6),
+ python3-pymysql (>= 0.7.6),
  python3-pyroute2 (>= 0.4.21),
  python3-requests (>= 2.14.2),
- python3-rfc3986,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
+ python3-rfc3986 (>= 0.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
  python3-tenacity (>= 4.9.0),
- python3-webob (>= 1.7.1),
- python3-wsme,
+ python3-webob (>= 1:1.7.1),
+ python3-wsme (>= 0.8.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Load Balancer as a Service - Python libraries
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced
- the transformation of the Neutron LBaaS project, as Neutron LBaaS
- moved from version 1 to version 2. Starting with the Liberty
- release of OpenStack, Octavia has become the reference implementation
- for Neutron LBaaS version 2.
- .
- Octavia accomplishes its delivery of load balancing services by
- managing a fleet of virtual machines, containers, or bare metal
- servers—collectively known as amphorae— which it spins up on demand.
- This on-demand, horizontal scaling feature differentiates Octavia from
- other load balancing solutions, thereby making Octavia truly
- suited “for the cloud.”.
- .
- This package contains the Python files and libraries.
-
-Package: amphora-agent
-Architecture: all
-Depends:
- octavia-common (= ${binary:Version}),
- ${misc:Depends},
- ${ostack-lsb-base},
- ${python3:Depends},
-Description: OpenStack Load Balancer Service - Amphora agent
- Openstack Load Balancer as a Service, codenamed Octavia was borne
- out of the Neutron LBaaS project. Its conception influenced
- the transformation of the Neutron LBaaS project, as Neutron LBaaS
- moved from version 1 to version 2. Starting with the Liberty
- release of OpenStack, Octavia has become the reference implementation
- for Neutron LBaaS version 2.
- .
- Octavia accomplishes its delivery of load balancing services by
- managing a fleet of virtual machines, containers, or bare metal
- servers—collectively known as amphorae— which it spins up on demand.
- This on-demand, horizontal scaling feature differentiates Octavia from
- other load balancing solutions, thereby making Octavia truly
- suited “for the cloud.”.
- .
- This package provides Octavia Amphora Agent.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,9 @@
 override_dh_clean:
 	dh_clean
 	find . -iname '*.pyc' -delete
-	rm -f AUTHORS
-	rm -f ChangeLog
 	rm -f debian/*.init debian/*.service debian/*.upstart
 	rm -rf build
 	rm -rf octavia.sqlite
-	rm -rf octavia.egg-info
 	rm -rf .eggs
 	rm -rf doc/source/contributor/devref/flow_diagrams
 	rm -rf doc/source/contributor/modules
@@ -84,10 +81,5 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# We use override_dh_installmenu because it's done in the sequence with dh,
-# and we already override dh_installinit in pkgos.make.
-# Obviously, we will never use a Desktop menu in such a package, so that's
-# not a problem.
-override_dh_installmenu:
-	dh_installinit --name=octavia-agent
-	dh_installinit --name=octavia-agent-certs-ramfs
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## octavia 4.1.0

=== debian/changelog ===
octavia (4.1.0-0ubuntu1) disco; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1853319).
  * d/p/CVE-2019-17134.patch: Dropped. Fixed in 4.1.0.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 03 Dec 2019 12:03:53 +0100

## octavia 4.1.4

=== debian/changelog ===
octavia (4.1.4-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1904563).
  * d/p/add-missing-import-octavia-opts.py.patch: Removed as the fix landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 18 Nov 2020 14:50:21 +0000

octavia (4.1.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * Fix batch creation of new members failure due to timeouts (LP: #1882657)
    - d/p/fix-batch-member-create-for-v1-amphora-driver.patch

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Wed, 08 Jul 2020 11:08:52 +0530

octavia (4.1.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1858934).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:40:27 -0500

octavia (4.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 13 Dec 2019 12:29:12 +0000

=== debian/control ===
--- 
+++ 
@@ -94,8 +94,8 @@
  python3-webob (>= 1:1.7.1),
  python3-wsme (>= 0.8.0),
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
 Homepage: https://github.com/openstack/octavia
 
 Package: amphora-agent
